package com.tongran.rocketmq.service;

import com.tongran.rocketmq.domain.AllDiskName;
import com.tongran.rocketmq.domain.InitialDiskInfo;

import java.util.List;

/**
 * 磁盘名称存储Service接口
 * 
 * @author tongran
 * @date 2026-01-14
 */
public interface IAllDiskNameService 
{
    /**
     * 查询磁盘名称存储
     * 
     * @param id 磁盘名称存储主键
     * @return 磁盘名称存储
     */
    public AllDiskName selectAllDiskNameById(Long id);

    /**
     * 查询磁盘名称存储列表
     * 
     * @param allDiskName 磁盘名称存储
     * @return 磁盘名称存储集合
     */
    public List<AllDiskName> selectAllDiskNameList(AllDiskName allDiskName);

    /**
     * 新增磁盘名称存储
     * 
     * @param allDiskName 磁盘名称存储
     * @return 结果
     */
    public int insertAllDiskName(AllDiskName allDiskName);

    /**
     * 修改磁盘名称存储
     * 
     * @param allDiskName 磁盘名称存储
     * @return 结果
     */
    public int updateAllDiskName(AllDiskName allDiskName);

    /**
     * 批量删除磁盘名称存储
     * 
     * @param ids 需要删除的磁盘名称存储主键集合
     * @return 结果
     */
    public int deleteAllDiskNameByIds(Long[] ids);

    /**
     * 删除磁盘名称存储信息
     * 
     * @param id 磁盘名称存储主键
     * @return 结果
     */
    public int deleteAllDiskNameById(Long id);

    int batchInsertAllDistName(List<InitialDiskInfo> dataList);

    int issuanceOperation(AllDiskName allDiskName);

    List<AllDiskName> selectDiskInfoList(AllDiskName allDiskName);
}
